org.apache.commons.imaging.formats.tiff

## Class TiffImageData.Tiles

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.TiffImageData
  - - org.apache.commons.imaging.formats.tiff.TiffImageData.Tiles

- Enclosing class:
    TiffImageData

      public static class TiffImageData.Tiles
      extends TiffImageData

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.commons.imaging.formats.tiff.TiffImageData

      `TiffImageData.ByteSourceData, TiffImageData.Data, TiffImageData.Strips, TiffImageData.Tiles`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `TiffElement.DataElement[]` | `tiles`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tiles(TiffElement.DataElement[] tiles, int tileWidth, int tileLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImageDataReader` | `getDataReader(TiffDirectory directory, PhotometricInterpreter photometricInterpreter, int bitsPerPixel, int[] bitsPerSample, int predictor, int samplesPerPixel, int width, int height, int compression, ByteOrder byteOrder)`
    `TiffElement.DataElement[]` | `getImageData()`
    `int` | `getTileHeight()` Get the height of individual tiles.
    `int` | `getTileWidth()` Get the width of individual tiles.
    `boolean` | `stripsNotTiles()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tiles

          public final TiffElement.DataElement[] tiles

  - ### Constructor Detail

    - #### Tiles

          public Tiles(TiffElement.DataElement[] tiles,
                       int tileWidth,
                       int tileLength)

  - ### Method Detail

    - #### getImageData

          public TiffElement.DataElement[] getImageData()

      Specified by:
        `getImageData` in class `TiffImageData`

    - #### stripsNotTiles

          public boolean stripsNotTiles()

      Specified by:
        `stripsNotTiles` in class `TiffImageData`

    - #### getDataReader

          public ImageDataReader getDataReader(TiffDirectory directory,
                                               PhotometricInterpreter photometricInterpreter,
                                               int bitsPerPixel,
                                               int[] bitsPerSample,
                                               int predictor,
                                               int samplesPerPixel,
                                               int width,
                                               int height,
                                               int compression,
                                               ByteOrder byteOrder)
                                        throws IOException,
                                               ImageReadException

      Specified by:
        `getDataReader` in class `TiffImageData`
      Throws:
        `IOException`
        `ImageReadException`

    - #### getTileWidth

          public int getTileWidth()

      Get the width of individual tiles. Note that if the overall image width is not a multiple of the tile width, then the last column of tiles may extend beyond the image width.
      Returns:
        an integer value greater than zero

    - #### getTileHeight

          public int getTileHeight()

      Get the height of individual tiles. Note that if the overall image height is not a multiple of the tile height, then the last row of tiles may extend beyond the image height.
      Returns:
        an integer value greater than zero

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.